import request from '@/utils/request'

// 查询交易明细记录列表
export function listTransactionDetails(query) {
  return request({
    url: '/model/TransactionDetails/list',
    method: 'get',
    params: query
  })
}

// 查询交易明细记录详细
export function getTransactionDetails(id) {
  return request({
    url: '/model/TransactionDetails/' + id,
    method: 'get'
  })
}

// 新增交易明细记录
export function addTransactionDetails(data) {
  return request({
    url: '/model/TransactionDetails',
    method: 'post',
    data: data
  })
}

// 修改交易明细记录
export function updateTransactionDetails(data) {
  return request({
    url: '/model/TransactionDetails',
    method: 'put',
    data: data
  })
}

// 删除交易明细记录
export function delTransactionDetails(id) {
  return request({
    url: '/model/TransactionDetails/' + id,
    method: 'delete'
  })
}
